@charset "utf-8";
@import "../../_variables.sass";

.headroom {
  z-index: 2 !important;

  @include mobile {
    z-index: 12;
    .navbar-primary,
    .navbar-menu {
      height: auto !important;
    }
  }

  @media screen and (min-width: 600px) and (max-width: 1024px) {
    z-index: 12;
    .navbar-primary,
    .navbar-menu {
      height: auto !important;
    }
  }
}

.headroom-wrapper {
  @include mobile {
    height: 100px;
  }
}

.navbar-wrapper {
  position: relative;
  padding-left: $navbar-margin;
  padding-right: $navbar-margin;
  @include mobile {
    padding-left: 1.5rem;
    padding-right: 1.5rem;
  }

  &.navbar-primary {
    height: 100px;
    background-color: $white;

    @include mobile {
      height: 60px;
    }
  }

  &.navbar-secondary {
    background-color: $primary;
    z-index: 31;
  }
}